Subject: bug#76414: 31.0.50; can't paste images with yank-media

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Feb 2025 12:14:28 +0200

> Date: Wed, 19 Feb 2025 14:44:05 +0000
> From:  the_wurfkreuz via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I was previously using Emacs that I built from commit b568ff418ce. Now I've tried to use the latest one, and I
> can't paste images using yank-media after using this command 'grim -g "$(slurp)" - | wl-copy'. If I go back to
> the b568ff418ce commit, then everything works fine.
> 
> I have instances of Emacs opened right now, and evaluating (gui-get-selection 'CLIPBOARD 'TARGETS) on
> the one built from the b568ff418ce commit returns '[image/png]' and i can paste the image. The one built
> from the latest commit returns '[]'.

Visuwesh, could you please see if you can reproduce, and if so, try to
find the offending change?  This is before I installed your yank-media
changes.